#!/bin/bash

set -eu +o noglob  -o pipefail

# Copy samples and analysis generated by LIMS exporter to the backup pipeline

REDHAT_PLATFORM="7.7"

 if [[ $# -ne 1 ]]; then
    echo ""
    echo "usage:"
    echo "  $(basename ${BASH_SOURCE[0]}) <analysis-pattern>"
    echo ""
    echo "The prefix of the analysis found in /boston/diag/transfer/production that should be ran in the pipeline"
    exit 1
fi

analysis=$1
analysis_pattern="${analysis}*"

# ousamg-ENV-START
TARGET_HOST=vali
SOURCE_FOLDER=/boston/diag/transfer/production
TARGET_FOLDER=/boston/diag/production
# ousamg-ENV-END

function self_test() {
    cat /etc/redhat-release \
    | (grep "6.10" > /dev/null) || (echo "Platform is not centos/redhat 6.10. Script not tested elsewhere"; exit 1)
}

#self_test

# copy analysis
rsync -av --progress ${SOURCE_FOLDER}/analyses/${analysis_pattern} ${TARGET_FOLDER}/analyses/

# copy samples
rsync -av --progress  ${SOURCE_FOLDER}/samples/${analysis_pattern} ${TARGET_FOLDER}/samples/

# add READY files
find ${TARGET_FOLDER}/samples/${analysis_pattern} -maxdepth 0 -type d -execdir touch '{}'/READY \;
find ${TARGET_FOLDER}/analyses/${analysis_pattern} -maxdepth 0 -type d -execdir touch '{}'/READY \;

echo "Done."
echo "If the executor is runnning you should see the analyses being processed by accessing the webui."